<?php
class Gold_silver_offer_report_model extends CI_Model {
    
    function __construct() {
        parent::__construct();
        $this->services = TBL_SERVICE;
        $this->gold_silver = TBL_BILL_GOLD_SILVER_OFFERING;
    }
    
    public function list_service_type(){
        $this->db->select('id,name as service_name');
        $this->db->where('menu_name',6);
        $this->db->where('status',1);
        return $this->db->get($this->services)->result();
    }
    
    public function get_data($start_date='',$end_date='',$type=''){
        $this->db->select('s.name as service_name, s.prefix, gs.*',FALSE);
        $this->db->join($this->services . ' as s','s.id = gs.service_id');
        if(!empty($start_date) && !empty($end_date)) {
            $this->db->where('gs.created_on >=',date('Y-m-d 00:00:00',strtotime($start_date)));
            $this->db->where('gs.created_on <=',date('Y-m-d 23:59:59',strtotime($end_date)));
        } else {
            $this->db->where('gs.created_on >=',date('Y-m-d 00:00:00'));
            $this->db->where('gs.created_on <=',date('Y-m-d 23:59:59'));
        } 
        if(!empty($type)) {
            $this->db->where('gs.service_id',$type);
        }
        #$this->db->where('gs.status',1);
        return $this->db->get($this->gold_silver . ' as gs')->result();
    }
}
?>


